Subject: [PATCH v3 09/11] ASoC: fsl: remove the fatal error checking on codec-handle

From: [email-masked] (Tabi Timur-B04825)
Date: Fri, 16 Mar 2012 02:07:42 +0000

Shawn Guo wrote:

> This could probably change to check whether property codec-handle is
> present under SSI node to decide if it runs with "old binding" or
> "new binding".

I guess that's how we need to do it.  The SSI driver should not be looking 
for /sound node, but that's the most reliable way to know if we have a new 
or old binding.

>> +		ssi_private->imx_pcm_pdev =
>> +			platform_device_register_simple("imx-pcm-audio",
>>
> This is still IMX vs. PowerPC thing rather than "old binding" vs. "new
> binding" one.

What is "imx-pcm-audio"?

>> This prohibits me from using the new binding on any future PowerPC parts,
>> because it clearly says "iMX" on everything.
>
> I think we can change it later when the future PowerPC parts come to
> use the new binding.  In any case, I do not see this is an issue that
> should block the whole series.

At least get rid of any unnecessary references to "imx".

-- 
Timur Tabi
Linux kernel developer at Freescale